MakeVanillaSwap Class Reference

helper class More...

`#include <ql/instruments/makevanillaswap.hpp>`

## Public Member Functions

| MakeVanillaSwap (const Period &swapTenor, const ext::shared_ptr< IborIndex > &iborIndex, Rate fixedRate=Null< Rate >(), const Period &forwardStart=0 *Days)
| operator VanillaSwap () const
| operator ext::shared_ptr< VanillaSwap > () const
MakeVanillaSwap & | receiveFixed (bool flag=true)
MakeVanillaSwap & | withType (VanillaSwap::Type type)
MakeVanillaSwap & | withNominal (Real n)
MakeVanillaSwap & | withSettlementDays (Natural settlementDays)
MakeVanillaSwap & | withEffectiveDate (const Date &)
MakeVanillaSwap & | withTerminationDate (const Date &)
MakeVanillaSwap & | withRule (DateGeneration::Rule r)
MakeVanillaSwap & | withFixedLegTenor (const Period &t)
MakeVanillaSwap & | withFixedLegCalendar (const Calendar &cal)
MakeVanillaSwap & | withFixedLegConvention (BusinessDayConvention bdc)
MakeVanillaSwap & | withFixedLegTerminationDateConvention (BusinessDayConvention bdc)
MakeVanillaSwap & | withFixedLegRule (DateGeneration::Rule r)
MakeVanillaSwap & | withFixedLegEndOfMonth (bool flag=true)
MakeVanillaSwap & | withFixedLegFirstDate (const Date &d)
MakeVanillaSwap & | withFixedLegNextToLastDate (const Date &d)
MakeVanillaSwap & | withFixedLegDayCount (const DayCounter &dc)
MakeVanillaSwap & | withFloatingLegTenor (const Period &t)
MakeVanillaSwap & | withFloatingLegCalendar (const Calendar &cal)
MakeVanillaSwap & | withFloatingLegConvention (BusinessDayConvention bdc)
MakeVanillaSwap & | withFloatingLegTerminationDateConvention (BusinessDayConvention bdc)
MakeVanillaSwap & | withFloatingLegRule (DateGeneration::Rule r)
MakeVanillaSwap & | withFloatingLegEndOfMonth (bool flag=true)
MakeVanillaSwap & | withFloatingLegFirstDate (const Date &d)
MakeVanillaSwap & | withFloatingLegNextToLastDate (const Date &d)
MakeVanillaSwap & | withFloatingLegDayCount (const DayCounter &dc)
MakeVanillaSwap & | withFloatingLegSpread (Spread sp)
MakeVanillaSwap & | withDiscountingTermStructure (const Handle< YieldTermStructure > &discountCurve)
MakeVanillaSwap & | withPricingEngine (const ext::shared_ptr< PricingEngine > &engine)

## Detailed Description

helper class

This class provides a more comfortable way to instantiate standard market swap.

Examples
  CVAIRS.cpp.